- Create a reporting suite
Fetch reporting suite export config(s) by entity id
Delete reporting suite export config(s) by entity id
Create a reporting suite export config
Patch a reporting suite export config
Search reporting suite export configs
Fetch export run status for an export config
Fetch reporting suite field mappings by module type
Fetch reporting suite(s) by entity id
Delete reporting suite(s) by entity id
Patch a reporting suite
Search reporting suites
Create a reporting suite
Security
bearerAuth and apiKeyAuth
- Mock serverhttps://developer.sprinklr.com/_mock/apis/sprinklr-v3/reportingSuite/suite
- Production Serverhttps://api3.sprinklr.com/prod/api/v3/reportingSuite/suite
curl -i -X POST \
https://developer.sprinklr.com/_mock/apis/sprinklr-v3/reportingSuite/suite \
-H 'Authorization: Bearer <YOUR_Token_HERE>' \
-H 'Content-Type: application/json' \
-H 'Key: YOUR_API_KEY_HERE' \
-d '{
"id": "string",
"name": "string",
"description": "string",
"dimensions": [
"string"
],
"measurements": [
"string"
],
"breakdownType": "string",
"moduleType": "string",
"baseReportingSuite": "string"
}'Success
Response
{ "id": "string", "entityId": "string", "suiteType": "STANDARD", "name": "string", "description": "string", "dimensions": [ "string" ], "measurements": [ "string" ], "moduleType": "string", "breakdownType": "string", "baseReportingSuite": "string", "ownerUserId": 0, "createdTime": 0, "modifiedTime": 0, "lastModifiedUserId": 0, "deleted": true }